Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## warbot.kernel
Class Home

    java.lang.Object
      SEdit.SElement
          SEdit.SNode
              warbot.kernel.Entity
                  warbot.kernel.MovableEntity
                      warbot.kernel.BasicBody
                          warbot.kernel.Home

All Implemented Interfaces:
  java.io.Serializable

    public class Home

extends BasicBody

See Also:
  Serialized Form

Field Summary
`protected static int` | `CREATE`
`static int` | `RESOURCEUNIT`

Fields inherited from class warbot.kernel.BasicBody
`ACTIONS, BAG_CAPACITY, behaviorFileName, brainClass, DISTANCE_TO_EAT, DISTANCE_TO_TAKE, DROP, DROPALL, EAT, maximumEnergy, TAKE`

Fields inherited from class warbot.kernel.MovableEntity
`MOVE`

Fields inherited from class warbot.kernel.Entity
`action, actionIn, detectingRange, displaySize, energy, initialEnergy, NULL, radius, showDetect, showEnergyLevel, speed, x, xdisplay, y, ydisplay`

Fields inherited from class SEdit.SElement
`comment, descriptor, element, id, label, persistent, structure`

Constructor Summary
`Home()`
`Home(WarbotEnvironment theWorld, Brain b, java.lang.String team)`

Method Summary
`void` | `createAgent(java.lang.String type)`
`double` | `getCoveredDistance()` returns the distance covered during the last time unit.
`int` | `getEnergy()` return the current energy of the robot
`java.lang.String` | `getEntityInterfaceType()`
`double` | `getHeading()` get the robot's current heading
`int` | `getRadius()`
`int` | `getResourceLevel()`
`boolean` | `getShot()`
`java.lang.String` | `getTeam()` return the current team as a String Object
`protected void` | `increaseResourceLevel(int v)`
`Percept` | `makePercept(double dx, double dy, double d)`
`boolean` | `moving()`
`void` | `setHeading(double direction)` set the robot heading to the direction of value
`protected void` | `tryEat()`

Methods inherited from class warbot.kernel.BasicBody
`buildRocket, createDefaultImage, delete, die, drop, dropAll, eat, edit, getBagCapacity, getBehaviorFileName, getBrainClass, getMaximumEnergy, getPercepts, getRocketNb, getUserMessage, increaseEnergyLevel, init, inMyBag, isMyBagEmpty, isMyBagFull, isShowMessages, isShowUserMessage, launchRocket, makeBrain, move, nbOfObjectsInMyBag, setBehaviorFileName, setBrainClass, setPercepts, setShowMessages, setShowUserMessage, setUserMessage, take, toggleShowMessages, toggleShowUserMessage`

Methods inherited from class warbot.kernel.MovableEntity
`getCoveredDistance, getHeading, moving, setHeading, tryMove`

Methods inherited from class warbot.kernel.Entity
`addInArrow, addOutArrow, decreaseEnergyLevel, distanceFrom, dropEntity, getDetectingRange, getEnergy, getEnvironmentAgent, getInArrows, getName, getOutArrows, getRadius, getShot, getShowDetect, getShowEnergyLevel, getSpeed, getTeam, getX, getY, isConnectable, setDetectingRange, setEnergy, setEnvironmentAgent, setName, setRadius, setShowDetect, setShowEnergyLevel, setSpeed, setTeam, setX, setY, toggleShowDetect, toggleShowEnergyLevel, toString`

Methods inherited from class SEdit.SNode
`activate, deleteInArrow, deleteOutArrow, initGraphics, reInstall`

Methods inherited from class SEdit.SElement
`dump, getComment, getDescriptor, getGObject, getID, getLabel, getStructure, inspect, setComment, setDescriptor, setGObject, setID, setLabel, setStructure`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCEUNIT

    public static final int RESOURCEUNIT

See Also:
  Constant Field Values

### CREATE

    protected static final int CREATE

See Also:
  Constant Field Values

Constructor Detail

### Home

    public Home(WarbotEnvironment theWorld,
                Brain b,
                java.lang.String team)

### Home

    public Home()

Method Detail

### makePercept

    public Percept makePercept(double dx,
                               double dy,
                               double d)

  Overrides:
    `makePercept` in class `BasicBody`

### getEntityInterfaceType

    public java.lang.String getEntityInterfaceType()

### tryEat

    protected void tryEat()

  Overrides:
    `tryEat` in class `BasicBody`

### increaseResourceLevel

    protected void increaseResourceLevel(int v)

### getResourceLevel

    public int getResourceLevel()

  Overrides:
    `getResourceLevel` in class `BasicBody`

### createAgent

    public void createAgent(java.lang.String type)

  Overrides:
    `createAgent` in class `BasicBody`

### setHeading

    public void setHeading(double direction)

  set the robot heading to the direction of value

### getHeading

    public double getHeading()

  get the robot's current heading

### getTeam

    public java.lang.String getTeam()

  return the current team as a String Object

### getCoveredDistance

    public double getCoveredDistance()

  returns the distance covered during the last time unit. This method may be called to sum the path taken by agents.

### getEnergy

    public int getEnergy()

  return the current energy of the robot

### getShot

    public boolean getShot()

### moving

    public boolean moving()

### getRadius

    public int getRadius()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.